Bug 190260 - Bogus error dialog upon closing evolution
Bogus error dialog upon closing evolution
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-29 10:58 EDT by Marcos Martins da Silva
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: evolution-2.6.2-1.fc5.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-14 22:58:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error dialog (15.25 KB, image/png)
2006-04-29 10:58 EDT, Marcos Martins da Silva
no flags Details

  None (edit)
Description Marcos Martins da Silva 2006-04-29 10:58:23 EDT
Description of problem: Upon closing evolution appears a message dialog with the
information that evolution has finnished unexpectably and offers to reopen
evolution or close.


Version-Release number of selected component (if applicable):
evolution-2.6.1-1.fc5.2 but it happens since the original FC5 version on iso image

How reproducible:
It's intermittent but tends to happen when evolution is running for some time
and I close the application.

Steps to Reproduce:
1. Run evolution
2. Use it
3. Close it (menu file -> exit or CTRL+Q or just pressing the "X" on evolution's
title bar)
  
Actual results:
It shows the dialog just described, which IMHO is a unnecessary one, since I
really closed the application.

Expected results:
Just close the application and nothing more

Additional info: My system default language is portuguse-brazilian. I think it's
not related, but just in case. The attached captured error dialog is in
portuguese but except for a comment about contacting the developers its content
was already described above.
Comment 1 Marcos Martins da Silva 2006-04-29 10:58:23 EDT
Created attachment 128395 [details]
Error dialog
Comment 2 Marcos Martins da Silva 2006-05-15 21:04:03 EDT
Bug Buddy has generated the following log:
Backtrace was generated from '/usr/bin/evolution-2.6'

(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
`shared object read from target memory' has disappeared; keeping its symbols.
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1208715600 (LWP 2137)]
[New Thread -1348019296 (LWP 2180)]
[New Thread -1337283680 (LWP 2179)]
[New Thread -1326793824 (LWP 2178)]
[New Thread -1268409440 (LWP 2157)]
[New Thread -1257919584 (LWP 2154)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
0x00ad9402 in __kernel_vsyscall ()
#0  0x00ad9402 in __kernel_vsyscall ()
#1  0x00ab5a3b in __waitpid_nocancel () from /lib/libpthread.so.0
#2  0x0072ee26 in gnome_gtk_module_info_get () from /usr/lib/libgnomeui-2.so.0
#3  0x0805e1c9 in POA_GNOME_Evolution_DataServer_InterfaceCheck__fini ()
#4  <signal handler called>
#5  0x00b60ab8 in strcmp () from /lib/libc.so.6
#6  0x08059435 in POA_GNOME_Evolution_DataServer_InterfaceCheck__fini ()
#7  0x0805c047 in POA_GNOME_Evolution_DataServer_InterfaceCheck__fini ()
#8  0x008bd19a in _ORBIT_skel_small_GNOME_Evolution_ShellView_setTitle ()
   from /usr/lib/evolution/2.6/libeshell.so.0
#9  0x004290b0 in ORBit_c_stub_invoke () from /usr/lib/libORBit-2.so.0
#10 0x008bf0aa in GNOME_Evolution_ShellView_setTitle ()
   from /usr/lib/evolution/2.6/libeshell.so.0
#11 0x008c071d in e_component_view_set_title ()
   from /usr/lib/evolution/2.6/libeshell.so.0
#12 0x00fb062e in mail_component_peek_local_store ()
   from /usr/lib/evolution/2.6/components/libevolution-mail.so
#13 0x00996876 in g_source_get_current_time () from /usr/lib/libglib-2.0.so.0
#14 0x0099615d in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#15 0x009993ef in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#16 0x00999799 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#17 0x005deb83 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#18 0x0805dff0 in POA_GNOME_Evolution_DataServer_InterfaceCheck__fini ()
#19 0x00b0c7e4 in __libc_start_main () from /lib/libc.so.6
#20 0x0804fdd1 in ?? ()

Thread 6 (Thread -1257919584 (LWP 2154)):
#0  0x00ad9402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00ab2216 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x0463eed9 in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.7
No symbol table info available.
#3  0x0463eff9 in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.7
No symbol table info available.
#4  0x00aaf3b6 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#5  0x00bbf33e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 5 (Thread -1268409440 (LWP 2157)):
#0  0x00ad9402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00ab2216 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x0463eed9 in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.7
No symbol table info available.
#3  0x0463eff9 in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.7
No symbol table info available.
#4  0x00aaf3b6 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#5  0x00bbf33e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 4 (Thread -1326793824 (LWP 2178)):
#0  0x00ad9402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00ab2216 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x0463eed9 in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.7
No symbol table info available.
#3  0x0463eff9 in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.7
No symbol table info available.
#4  0x00aaf3b6 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#5  0x00bbf33e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 3 (Thread -1337283680 (LWP 2179)):
#0  0x00ad9402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00ab2216 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x0463eed9 in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.7
No symbol table info available.
#3  0x0463eff9 in e_msgport_wait () from /usr/lib/libedataserver-1.2.so.7
No symbol table info available.
#4  0x00aaf3b6 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#5  0x00bbf33e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 2 (Thread -1348019296 (LWP 2180)):
#0  0x00ad9402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00bb5cac in poll () from /lib/libc.so.6
No symbol table info available.
#2  0x00999423 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#3  0x00999799 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#4  0x00434ba0 in link_set_io_thread () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#5  0x009b3a1f in g_thread_create_full () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#6  0x00aaf3b6 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x00bbf33e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 1 (Thread -1208715600 (LWP 2137)):
#0  0x00ad9402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00ab5a3b in __waitpid_nocancel () from /lib/libpthread.so.0
No symbol table info available.
#2  0x0072ee26 in gnome_gtk_module_info_get () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  0x0805e1c9 in POA_GNOME_Evolution_DataServer_InterfaceCheck__fini ()
No symbol table info available.
#4  <signal handler called>
No symbol table info available.
#5  0x00b60ab8 in strcmp () from /lib/libc.so.6
No symbol table info available.
#6  0x08059435 in POA_GNOME_Evolution_DataServer_InterfaceCheck__fini ()
No symbol table info available.
#7  0x0805c047 in POA_GNOME_Evolution_DataServer_InterfaceCheck__fini ()
No symbol table info available.
#8  0x008bd19a in _ORBIT_skel_small_GNOME_Evolution_ShellView_setTitle ()
   from /usr/lib/evolution/2.6/libeshell.so.0
No symbol table info available.
#9  0x004290b0 in ORBit_c_stub_invoke () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#10 0x008bf0aa in GNOME_Evolution_ShellView_setTitle ()
   from /usr/lib/evolution/2.6/libeshell.so.0
No symbol table info available.
#11 0x008c071d in e_component_view_set_title ()
   from /usr/lib/evolution/2.6/libeshell.so.0
No symbol table info available.
#12 0x00fb062e in mail_component_peek_local_store ()
   from /usr/lib/evolution/2.6/components/libevolution-mail.so
No symbol table info available.
#13 0x00996876 in g_source_get_current_time () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#14 0x0099615d in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#15 0x009993ef in g_main_context_check () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#16 0x00999799 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#17 0x005deb83 in bonobo_main () from /usr/lib/libbonobo-2.so.0
No symbol table info available.
#18 0x0805dff0 in POA_GNOME_Evolution_DataServer_InterfaceCheck__fini ()
No symbol table info available.
#19 0x00b0c7e4 in __libc_start_main () from /lib/libc.so.6
No symbol table info available.
#20 0x0804fdd1 in ?? ()
No symbol table info available.
Comment 3 Marcos Martins da Silva 2006-06-14 22:58:40 EDT
The last package (evolution-2.6.2-1.fc5.5) fixed the error.

Note You need to log in before you can comment on or make changes to this bug.